# Contributing to mongo-archviz

Thank you for your interest in contributing to **mongo-archviz**! Your contributions help improve this project for everyone. Please follow these guidelines:

1. **Fork the Repository:**  
   Create your fork via GitHub.

2. **Create a Feature Branch:**  
   Use a descriptive branch name:
   ```bash
   git checkout -b feature/your-feature-name
   ```
   
3. **Commit Your Changes:**
  Write clear commit messages:
  ```bash
  git commit -m "Add feature: description"
  ```

4. **Push and Open a Pull Request:**
   Push your branch and open a PR against the main branch.

5. **Code Style and Testing:**
   Ensure your code adheres to PEP8 standards. Add tests for any new functionality.

6. **Documentation:**
   Update the README and any relevant documentation for your changes.
